<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>NewsAPI - PHP Wrapper Demo page</title>

    </head>
    <body>
        <?php
        include 'config.php';
        $newsAPIClient = new newsAPIClient;
        ?>
        <h1>NewsAPI PHP Demo - WELCOME</h1>
        <p>This demo shows how to use the NewsAPI using PHP. I scribbled this code to test the data I wanted, so no comments please. If you would like to add comments or modify the code, feel free. Thanks</p>
        <h2>Get Sources - (India)</h2>          
        <?php $topHeadlines = $newsAPIClient->getSources(array('country' => 'in')); ?>  

        <?php foreach ($topHeadlines as $newsItem) { ?>
            <?php print_r($newsItem); ?>
            <hr>                                      
        <?php }
        ?>
        <h2>Get Everything - (bitcoin)</h2>          
        <?php $topHeadlines = $newsAPIClient->getEverything(array('q' => 'bitcoin', 'pageSize' => 5)); ?>                  
        <?php foreach ($topHeadlines as $newsItem) { ?>
            <?php print_r($newsItem); ?>
            <hr>                                      
        <?php }
        ?>
        <h2>Get Top Headlines - (apple)</h2>          
        <?php $topHeadlines = $newsAPIClient->getTopHeadLines(array('q' => 'apple', 'pageSize' => 5)); ?>  

        <?php foreach ($topHeadlines as $newsItem) { ?>
            <?php print_r($newsItem); ?>
            <hr>                                      
        <?php }
        ?>
    </body>
</html>